pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/mk/fetch verify_file() returns a non-zero result whene...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/78f35d243f06
branches:  trunk
changeset: 516392:78f35d243f06
user:      joerg <joerg%pkgsrc.org@localhost>
date:      Thu Jul 20 13:31:08 2006 +0000

description:
verify_file() returns a non-zero result whenever the distfile does not
currently exist. This triggers a bug in the Bourne shell of at least
DragonFly and Irix, when set -e is also active. Remove set -e to avoid
this. Discussed with jlam@, shown by DragonFly bulk builds, complains on
DragonFly's user list and PR 34036.

A test case for this shell bug is, which should return 0:

set -e

testf () {
        test -f /nonexistent || return 1
        return 0
}

if testf; then
        exit 1
fi
exit 0

diffstat:

 mk/fetch/fetch |  4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

diffs (20 lines):

diff -r 085873900194 -r 78f35d243f06 mk/fetch/fetch
--- a/mk/fetch/fetch    Thu Jul 20 13:19:29 2006 +0000
+++ b/mk/fetch/fetch    Thu Jul 20 13:31:08 2006 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: fetch,v 1.4 2006/07/19 15:13:40 jlam Exp $
+# $NetBSD: fetch,v 1.5 2006/07/20 13:31:08 joerg Exp $
 #
 # Copyright (c) 2006 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -104,8 +104,6 @@
 #
 ######################################################################
 
-set -e         # exit on errors
-
 : ${PKGSRCDIR:=/usr/pkgsrc}
 : ${CHECKSUM:=${PKGSRCDIR}/mk/checksum/checksum}
 : ${CP:=cp}



Home | Main Index | Thread Index | Old Index